# BEGIN SourceDeps(oneline):
BuildRequires: perl(Lexical/SealRequireHints.pm) perl(Moose.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-multidimensional
Version:        0.011
Release:        alt1_1
Summary:        Disables multidimensional array emulation
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/multidimensional/
Source0:        http://www.cpan.org/authors/id/I/IL/ILMARI/multidimensional-%{version}.tar.gz
# Lexical::SealRequireHints is only necessary for perl < 5.12
Patch0:         no-Lexical-SealRequireHints.patch
BuildRequires:  perl(B/Hooks/OP/Check.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Pod/Coverage/TrustPod.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(XSLoader.pm)


Source44: import.info

%description
Perl's multidimensional array emulation stems from the days before the language
had references, but these days it mostly serves to bite you when you typo a
hash slice by using the $ sigil instead of @.

This module lexically makes using multidimensional array emulation a fatal error
at compile time.

%prep
%setup -q -n multidimensional-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;


%check
RELEASE_TESTING=1 make test

%files
%doc Changes LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/multidimensional*

%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.010-alt3_4
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.010-alt2_4
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.010-alt2_2
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.010-alt1_2
- fc import

